Package sop.operation

# Interface ListProfiles

public interface ListProfiles
Subcommand to list supported profiles of other subcommands.

## Method Summary

Modifier and Type
Method
Description
`default List<Profile>`
`encrypt()`
Return a list of `Profiles` supported by the `Encrypt` implementation.
`default List<Profile>`
`generateKey()`
Return a list of `Profiles` supported by the `GenerateKey` implementation.
`List<Profile>`
`subcommand(String command)`
Provide the name of the subcommand for which profiles shall be listed.

## Method Details

### subcommand

List<Profile> subcommand(String command)
Provide the name of the subcommand for which profiles shall be listed. The returned list of profiles MUST NOT contain more than 4 entries.

Parameters:
  `command` - command name (e.g.

      generate-key

  )
Returns:
  list of profiles.

### generateKey

default List<Profile> generateKey()
Return a list of `Profiles` supported by the `GenerateKey` implementation.

Returns:
  profiles

### encrypt

default List<Profile> encrypt()
Return a list of `Profiles` supported by the `Encrypt` implementation.

Returns:
  profiles